Bug 462253 (perl-Cache-FastMmap) - Review Request: perl-Cache-FastMmap - Uses an mmap'ed file to act as a shared memory interprocess cache
Summary: Review Request: perl-Cache-FastMmap - Uses an mmap'ed file to act as a shared...
Keywords:
Status: CLOSED ERRATA
Alias: perl-Cache-FastMmap
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 462254
TreeView+ depends on / blocked
 
Reported: 2008-09-14 21:24 UTC by Iain Arnell
Modified: 2014-12-17 12:43 UTC (History)
6 users (show)

Fixed In Version: perl-Cache-FastMmap-1.34-5.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-12 02:54:07 UTC
Type: ---
j: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2008-09-14 21:24:30 UTC
Spec URL: http://www.xs4all.nl/~iarnell/fedora/perl-Cache-FastMmap.spec
SRPM URL: http://www.xs4all.nl/~iarnell/fedora/perl-Cache-FastMmap-1.28-1.fc9.src.rpm
Description: 
In multi-process environments (eg mod_perl, forking daemons, etc),
it's common to want to cache information, but have that cache shared
between processes. Many solutions already exist, and may suit your
situation better.

This package is required for perl-Catalyst-Plugin-Session-Store-FastMmap

This is my first package, so I am also seeking a sponsor.

Comment 1 Chris Weyl 2008-09-15 04:47:16 UTC
A couple comments -- and, looks good, especially for a first package :)

There are tests that are skipped due to the non-presence of certain modules.  perl(GTop) and perl(Compress::Zlib) should be added as buildrequires to enable those tests to be run on the buildsystem.  (In general, all additional modules required to enable optional tests should be buildrequire'ed; the exception is for "author" or "subjective" tests, like Test::Pod::Coverage, Test::Perl::Critic, or Test::Kwalitee.)

Aside from that, a scratch build looked good:  http://koji.fedoraproject.org/koji/taskinfo?taskID=825581

%description isn't the best, but then, it's what the module author used.

Update to include the missing br's listed above, and I'll take a closer look at this one.  Do you have any other packages up for review?

Comment 2 Iain Arnell 2008-09-15 09:44:29 UTC
Thanks for the quick response. Updated with the additional BRs - although Compress::Zlib seems to get pulled into the build automatically, I guess it's good form to explicitly state it in case things change in future.

New Spec: http://www.xs4all.nl/~iarnell/fedora/perl-Cache-FastMmap.spec
New SRPM: http://www.xs4all.nl/~iarnell/fedora/perl-Cache-FastMmap-1.28-2.fc9.src.rpm

These are the only two packages I've submitted so far - I wanted to get feedback from these before ploughing ahead with any more.

Comment 3 Jason Tibbitts 2008-11-05 15:35:36 UTC
Looks like this got dropped somehow.

I am still seeing a test skipped due to missing Compress::Zlib.  I read comment #2 to say that you were going to include it, but I don't see it there and I can verify that it is not pulled into the build environment by any other package.

I'm also getting an rpmlint complaint:
  perl-Cache-FastMmap.x86_64: W: incoherent-version-in-changelog 2.28-1 
   ['1.28-2.fc10', '1.28-2']
and indeed the spec in the src.rpm linked above has a changelog entry with version "2.28-1" instead of "1.28-2".  But the spec file linked above does not seem to have the above issues, so I'm a bit confused.  Did you build the src.rpm and then modify the spec further?

Comment 4 Iain Arnell 2008-11-05 16:59:07 UTC
I'm confused too - I certainly never modify spec files without automatically rebuilding and testing corresponding rpms. I can't rule out copying the wrong src.rpm to the server though - I've replaced it with a fresh rebuild (and redownloaded and rechecked that I've really uploaded the correct thing this time).

Comment 5 Jason Tibbitts 2008-11-06 01:56:38 UTC
Yes, that's better, thanks.  This package looks fine.  Please go ahead and get your account set up, accept the CLA and apply for membership in the packager group.  I will sponsor you.

* source files match upstream:
   aa819d16345b537a88b539f5afe9a90b3ddf208a21ea5f89f0bc0850fe0a05d5  
   Cache-FastMmap-1.28.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   CImpl.so()(64bit)
   perl(Cache::FastMmap) = 1.28
   perl(Cache::FastMmap::CImpl) = 1.28
   perl-Cache-FastMmap = 1.28-2.fc10
   perl-Cache-FastMmap(x86-64) = 1.28-2.fc10
  =
   perl >= 0:5.006
   perl(:MODULE_COMPAT_5.10.0)
   perl(Cache::FastMmap::CImpl)
   perl(XSLoader)
   perl(bytes)
   perl(constant)
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
  All tests successful.
  Files=14, Tests=315, 23 wallclock secs ( 0.06 usr  0.02 sys +  4.30 cusr
   0.67 csys =  5.05 CPU)

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

Comment 6 Iain Arnell 2008-11-06 04:57:34 UTC
Thanks Jason.  Account is already set up (iarnell) and CLA accepted.

Comment 7 Jason Tibbitts 2008-11-06 13:50:49 UTC
Oh, you attempted to join some time ago.  That shouldn't be done until you actually have a sponsor.  In any case, its set up now; you should be able to make your CVS request.

Also, you seem to have left your real name out of your account information, which is why I didn't find you in the database.

Comment 8 Iain Arnell 2008-11-06 21:01:26 UTC
I was just following the instructions on http://fedoraproject.org/wiki/PackageMaintainers/Join - maybe section 1.1.9.4 should be moved to section 1.1.11?

1.1.7 Create Your Review Request
1.1.8 Watch for Feedback
1.1.9 Get a Fedora Account
 ... 
1.1.9.4.1 In the table, look for the packager group, and click Apply under Status. 
1.1.10 Install the Client Tools (Koji)
1.1.11 Get Sponsored

As for real name, it's definitely there in the account details.

Comment 9 Iain Arnell 2008-11-06 21:06:43 UTC
New Package CVS Request
=======================
Package Name: perl-Cache-FastMmap
Short Description: Uses an mmap'ed file to act as a shared memory interprocess cache
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig

Comment 10 Dennis Gilmore 2008-11-07 02:27:35 UTC
CVS Done

Comment 11 Fedora Update System 2008-11-08 01:30:19 UTC
perl-Cache-FastMmap-1.28-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Cache-FastMmap-1.28-2.fc9

Comment 12 Fedora Update System 2008-11-08 01:30:22 UTC
perl-Cache-FastMmap-1.28-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Cache-FastMmap-1.28-2.fc10

Comment 13 Fedora Update System 2008-11-12 02:54:03 UTC
perl-Cache-FastMmap-1.28-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2008-11-22 16:48:20 UTC
perl-Cache-FastMmap-1.28-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Iain Arnell 2010-02-12 08:48:45 UTC
Package Change Request
======================
Package Name: perl-Cache-FastMmap
New Branches: EL-4 EL-5
Owners: iarnell
InitialCC: perl-sig

Comment 16 Kevin Fenzi 2010-02-13 04:09:58 UTC
cvs done.

Comment 17 Fedora Update System 2010-02-13 06:52:02 UTC
perl-Cache-FastMmap-1.34-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Cache-FastMmap-1.34-5.el5

Comment 18 Fedora Update System 2010-02-13 06:52:08 UTC
perl-Cache-FastMmap-1.34-5.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/perl-Cache-FastMmap-1.34-5.el4

Comment 19 Fedora Update System 2010-03-08 20:20:10 UTC
perl-Cache-FastMmap-1.34-5.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-03-08 20:20:33 UTC
perl-Cache-FastMmap-1.34-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Petr Šabata 2014-12-16 18:20:31 UTC
Package Change Request
======================
Package Name: perl-Cache-FastMmap
New Branches: epel7
Owners: psabata
InitialCC: perl-sig

Comment 22 Gwyn Ciesla 2014-12-16 18:44:18 UTC
Git done (by process-git-requests).

Comment 23 Petr Šabata 2014-12-17 12:43:26 UTC
Thank you.


Note You need to log in before you can comment on or make changes to this bug.